unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  StdCtrls, VCLScriptControl,  ComCtrls, ExtCtrls,
  MSScriptControl_TLB, OleCtrls;

type
  TForm1 = class(TForm)
    StatusBar1: TStatusBar;
    Panel1: TPanel;
    Button2: TButton;
    Button1: TButton;
    ListBox1: TListBox;
    Panel2: TPanel;
    SC: TVCLScriptControl;
    Memo1: TMemo;
    Memo2: TMemo;
    Button3: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure SCError(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  published
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses ActiveX, ComObj;

procedure TForm1.FormCreate(Sender: TObject);
begin
  RegisterClasses([TButton, TPanel, TEdit, TLabel, TTimer, TDateTimePicker]);
  SC.Language := 'VBScript';
  SC.IScriptControl_Timeout := -1;
  SC.RegisterClass('Self', Self);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  SC.AddCode(Memo1.Text);
  SC.RunProc('Main');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  SC.ExecuteStatement(Memo2.Text);
end;

procedure TForm1.SCError(Sender: TObject);
var
  S: String;
begin
  S := SC.IScriptControl_Error.Text + #13 + SC.IScriptControl_Error.Description;
  MessageBox(Handle, PChar('SCError: '#13 + S), NIL, MB_ICONERROR);
  SC.IScriptControl_Error.Clear;
end;





end.
